> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaanivoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Campaign

> Immediately cancel a campaign (hard stop)

## Cancel Campaign

Immediately terminate a campaign. Ongoing calls are completed, but no new calls are initiated.

***

## Path Parameters

**campaign\_id** `string` *required*

UUID of the campaign to cancel

***

## Example Request

```bash theme={null}
curl -X POST "https://api.vaanivoice.ai/api/campaigns/abc-123-xyz/cancel" \
  -H "X-API-Key: vaani_abc123..."
```

***

## Response `200 OK`

```json theme={null}
{
  "id": "e8632ffe-ce38-4ae9-8185-72ef708aaa51",
  "client_id": "e3e5b338-937e-4672-a700-1a1f5817a385",
  "agent_id": "26356732-d0f3-449a-9fe7-6339ae157687",
  "campaign_name": "campaing api ",
  "excel_blob_url": "https://vaani-uat-storage.s3.ap-south-1.amazonaws.com/campaigns/e3e5b338-937e-4672-a700-1a1f5817a385/d3c4c1dd-e52d-4b4e-92d1-fccf63b55dad_Untitled spreadsheet - Sheet1 (2) (1).csv",
  "results_excel_blob_url": null,
  "last_result_generated_at": null,
  "campaign_status": "cancelled",
  "contact_source_type": "csv",
  "gsheet_config": null,
  "days_of_week": "tuesday",
  "post_processing_status": "pending_excel",
  "time_range_from": "08:30:00Z",
  "time_range_to": "14:29:00Z",
  "max_retries": 1,
  "retry_after_mins": 5,
  "call_concurrency": 1,
  "start_date": "2026-08-25T08:30:00",
  "end_date": "2026-08-25T10:33:52.232273",
  "created_at": "2026-08-25T10:26:31.403625",
  "updated_at": "2026-08-25T10:33:52.232273",
  "notification_emails": null,
  "webhook_url": null,
  "per_call_webhook_url": null,
  "webhook_id": null,
  "perform_dnd_check": false
}
```

***

## Behavior

* Immediately stops initiating new calls
* Ongoing calls complete normally
* Status transitions to `cancelled`
* **Cannot be resumed after cancellation**

***

## Comparison: Stop vs Cancel

| Action | Timing | Can Resume? | Use Case |
| - | - | - | - |
| **Stop** | End of day | ❌ No | Graceful completion |
| **Cancel** | Immediate | ❌ No | Emergency termination |
| **Pause** | Immediate | ✅ Yes | Temporary suspension |

> [!WARNING]
>
> Cancellation is permanent. Use `/pause` if you need to temporarily suspend the campaign.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.